com.google.common.escape

## Class ArrayBasedEscaperMap

- java.lang.Object
- - com.google.common.escape.ArrayBasedEscaperMap

-     @Beta
      @GwtCompatible
      public final class ArrayBasedEscaperMap
      extends java.lang.Object

  An implementation-specific parameter class suitable for initializing `ArrayBasedCharEscaper` or `ArrayBasedUnicodeEscaper` instances. This class should be used when more than one escaper is created using the same character replacement mapping to allow the underlying (implementation specific) data structures to be shared.

  The size of the data structure used by ArrayBasedCharEscaper and ArrayBasedUnicodeEscaper is proportional to the highest valued character that has a replacement. For example a replacement map containing the single character '\u1000' will require approximately 16K of memory. As such sharing this data structure between escaper instances is the primary goal of this class.

  Since:
    15.0

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ArrayBasedEscaperMap` | `create(java.util.Map<java.lang.Character,java.lang.String> replacements)` Returns a new ArrayBasedEscaperMap for creating ArrayBasedCharEscaper or ArrayBasedUnicodeEscaper instances.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static ArrayBasedEscaperMap create(java.util.Map<java.lang.Character,java.lang.String> replacements)

      Returns a new ArrayBasedEscaperMap for creating ArrayBasedCharEscaper or ArrayBasedUnicodeEscaper instances.
      Parameters:
        `replacements` - a map of characters to their escaped representations